Package org.apache.nutch.scoring.similarity

## Interface SimilarityModel

- All Known Implementing Classes:
    `CosineSimilarity`

      public interface SimilarityModel

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CrawlDatum` | `distributeScoreToOutlinks​(Text fromUrl, ParseData parseData, Collection<Map.Entry<Text,​CrawlDatum>> targets, CrawlDatum adjust, int allCount)` |
    `void` | `setConf​(Configuration conf)` |
    `float` | `setURLScoreAfterParsing​(Text url, Content content, Parse parse)` |

- - ### Method Detail

    - #### setConf

          void setConf​(Configuration conf)

    - #### setURLScoreAfterParsing

          float setURLScoreAfterParsing​(Text url,
                                        Content content,
                                        Parse parse)

    - #### distributeScoreToOutlinks

          CrawlDatum distributeScoreToOutlinks​(Text fromUrl,
                                               ParseData parseData,
                                               Collection<Map.Entry<Text,​CrawlDatum>> targets,
                                               CrawlDatum adjust,
                                               int allCount)